import React from 'react';
import { StyleSheet, Text, View, Image } from 'react-native';
import Tasks from './tasks';
import AddTask from './add-task';

export default class App extends React.Component {
  constructor(props) {
    super(props);
    
    this.state = {
      data: ["one", "two", "three", "four", "five"]
    };
  }
  
  addTask(task) {
    const data = this.state.data.slice();
    data.push(task);
    this.setState({ data });
  }
  
  render() {
    return (
      <View style={styles.container}>
        <Image source={{uri: "http://agiledeveloper.com/venkat/animals.jpg"}} style={{width: 500, height:200}}></Image>
        <AddTask addTask={ task => this.addTask(task) }></AddTask>        
        <Tasks data={ this.state.data }></Tasks>
      </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
    alignItems: 'center',
    justifyContent: 'center',
    alignItems: 'stretch',
  },
});
