import React, { createRef } from 'react';
import { StyleSheet, Text, View, TextInput, Button } from 'react-native';

export default class AddTask extends React.Component {
  constructor(props) {
    super(props); 
    
    this.state = { text: '' };
    this.newTaskNameRef = createRef();    
  }
  
  addTask() {
    this.props.addTask(this.state.text);
    this.newTaskNameRef.current.clear();
  }                                   
  
  render() {
    return (
      <View style={styles.container}>
        <Text>New Task</Text>
        <TextInput placeholder="new task name" onChangeText={ text => this.setState({ text }) } ref={this.newTaskNameRef} />
	      <Button title="Add" onPress={() => this.addTask() }></Button>
      </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
    alignItems: 'center',
    justifyContent: 'space-evenly',
    flexDirection: 'row',
  },
});
